Subject: Revised I-D and WG Last Call (was Re: [spring] WGLC - draft-ietf-spring-srv6-network-programming)

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Thu, 5 Mar 2020 07:38:11 +0000

[not related to this specific Working Group Last Call (WGLC): Martin, the responsible AD, has explained the specifics again in another email]

But, for information, let me share my experience as an Area Director (AD) as I had similar situations in my first year as AD:

  1.  Document is proposed by the WG for publication by the IESG, so after the WGLC
  2.  As an AD, I do my own AD review, leading most of the times to a revised I-D; usually, this revised I-D does not go through another WGLC as the changes are quite often minor / non protocol changing
  3.  Then, a IETF last call is initiated (so covering the previous changes anyway as the WG members can review it again obviously), often leading the revised I-D
  4.  Then, the IESG evaluation often leads to multiple COMMENT and DISCUSS
  5.  So, most of the time, yet another revised I-D with more changes in the text
  6.  ***IF AND ONLY IF*** the changes since IETF LC are really impacting (see for example draft-ietf-hip-dex) then, my job as an AD is to evaluate those changes, to make a judgement call, and possibly to issue another IETF Last Call; but, this is really the exception: only twice during my first year.

In short, once a document is proposed for publication by the WG (action by the chair), the IETF last call is mandatory [1] ***AND*** a rough consensus is also to be built by the wider community. Finally, there is always the possibility to start an appeal.

For info and an anecdote, I have seen documents with consensus in WGLC and no consensus at the IETF LC => they are sent back to the authors/WG :-O

Note: I am not a process person: I simply follow RFC 2026 and try to do what is good for the community... so happy to stand corrected on the above.

Hope this clarifies somehow the process around Last Call,

Regards,

-éric

[1] at least for the IETF stream